## linux-restricted-modules-hwe 5.3.0-42.34~18.04.1

=== debian/changelog ===
linux-restricted-modules-hwe (5.3.0-42.34~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-42.34~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Fri, 28 Feb 2020 13:41:54 +0100

linux-restricted-modules-hwe (5.3.0-41.33~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-41.33~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 17 Feb 2020 12:37:24 +0100

linux-restricted-modules-hwe (5.3.0-40.32~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-40.32~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 03 Feb 2020 10:11:24 -0300

linux-restricted-modules-hwe (5.3.0-28.30~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-28.30~18.04.1

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Sultan Alsawaf <sultan.alsawaf@canonical.com>  Wed, 15 Jan 2020 13:27:52 -0800

linux-restricted-modules-hwe (5.3.0-26.28~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-26.28~18.04.1

  * nvidia-435 is in eoan, linux-restricted-modules only builds against 430,
    ubiquity gives me the self-signed modules experience instead of using the
    Canonical-signed modules (LP: #1856407)
    - [Packaging] Add support for nvidia-435 dkms builds

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Wed, 18 Dec 2019 16:16:12 +0100

linux-restricted-modules-hwe (5.3.0-25.27~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-25.27~18.04.2
  * Bump upload number.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 12 Dec 2019 18:29:59 +0100

linux-restricted-modules-hwe (5.3.0-25.27~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-25.27~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 10 Dec 2019 17:56:01 +0100

linux-restricted-modules-hwe (5.3.0-0.0~18.04.1) bionic; urgency=medium

  * Initial revision.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 10 Dec 2019 17:50:16 +0100
