=== debian/control ===
Source: linux-restricted-modules-hwe
Section: utils
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Build-Depends:
 debhelper (>= 9),
 lsb-release,
 python3,
 python3-apt,
 cpio,
 dkms,
 wget,
 gawk,
 linux-headers-5.3.0-42-generic (>= 5.3.0-42.34~18.04.1),
 linux-buildinfo-5.3.0-42-generic (>= 5.3.0-42.34~18.04.1),
 linux-headers-5.3.0-42-lowlatency (>= 5.3.0-42.34~18.04.1),
 linux-buildinfo-5.3.0-42-lowlatency (>= 5.3.0-42.34~18.04.1),
Standards-Version: 3.9.4
Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules/+git/bionic -b hwe

Package: linux-modules-nvidia-390-5.3.0-42-generic
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.3.0-42-generic | linux-image-unsigned-5.3.0-42-generic, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 5.3.0-42
 This package contains the Linux kernel nvidia modules for the generic flavour version 5.3.0-42.
 .
 You likely do not want to install this package directly. Instead, install one of the
 linux-modules-nvidia-390-generic* meta-package(s), which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-390-5.3.0-42-lowlatency
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.3.0-42-lowlatency | linux-image-unsigned-5.3.0-42-lowlatency, nvidia-kernel-common-390
Description: Linux kernel nvidia modules for version 5.3.0-42
 This package contains the Linux kernel nvidia modules for the lowlatency flavour version 5.3.0-42.
 .
 You likely do not want to install this package directly. Instead, install one of the
 linux-modules-nvidia-390-lowlatency* meta-package(s), which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-430-5.3.0-42-generic
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.3.0-42-generic | linux-image-unsigned-5.3.0-42-generic, nvidia-kernel-common-430
Description: Linux kernel nvidia modules for generic version 5.3.0-42
 This package contains the Linux kernel nvidia modules for the generic flavour version 5.3.0-42.
 .
 You likely do not want to install this package directly. Instead, install one of the
 linux-modules-nvidia-430-generic* meta-package(s), which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-430-5.3.0-42-lowlatency
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.3.0-42-lowlatency | linux-image-unsigned-5.3.0-42-lowlatency, nvidia-kernel-common-430
Description: Linux kernel nvidia modules for lowlatency version 5.3.0-42
 This package contains the Linux kernel nvidia modules for the lowlatency flavour version 5.3.0-42.
 .
 You likely do not want to install this package directly. Instead, install one of the
 linux-modules-nvidia-430-lowlatency* meta-package(s), which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-435-5.3.0-42-generic
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.3.0-42-generic | linux-image-unsigned-5.3.0-42-generic, nvidia-kernel-common-435
Description: Linux kernel nvidia modules for generic version 5.3.0-42
 This package contains the Linux kernel nvidia modules for the generic flavour version 5.3.0-42.
 .
 You likely do not want to install this package directly. Instead, install one of the
 linux-modules-nvidia-435-generic* meta-package(s), which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-435-5.3.0-42-lowlatency
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Priority: optional
Built-Using: ${linux:BuiltUsing}
Depends: ${misc:Depends}, ${shlibs:Depends}, binutils, linux-image-5.3.0-42-lowlatency | linux-image-unsigned-5.3.0-42-lowlatency, nvidia-kernel-common-435
Description: Linux kernel nvidia modules for lowlatency version 5.3.0-42
 This package contains the Linux kernel nvidia modules for the lowlatency flavour version 5.3.0-42.
 .
 You likely do not want to install this package directly. Instead, install one of the
 linux-modules-nvidia-435-lowlatency* meta-package(s), which will ensure that upgrades work
 correctly, and that supporting packages are also installed.

Package: linux-modules-nvidia-390-generic-hwe-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-390-5.3.0-42-generic (= ${binary:Version})
Description: Extra drivers for nvidia-390 for generic-hwe-18.04
 Install extra signed nvidia-390 modules compatible with generic-hwe-18.04

Package: linux-modules-nvidia-430-generic-hwe-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-430-5.3.0-42-generic (= ${binary:Version})
Description: Extra drivers for nvidia-430 for generic-hwe-18.04
 Install extra signed nvidia-430 modules compatible with generic-hwe-18.04.

Package: linux-modules-nvidia-435-generic-hwe-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-435-5.3.0-42-generic (= ${binary:Version})
Description: Extra drivers for nvidia-435 for generic-hwe-18.04
 Install extra signed nvidia-435 modules compatible with generic-hwe-18.04.

Package: linux-modules-nvidia-390-lowlatency-hwe-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-390-5.3.0-42-lowlatency (= ${binary:Version})
Description: Extra drivers for nvidia-390 for lowlatency-hwe-18.04
 Install extra signed nvidia-390 modules compatible with lowlatency-hwe-18.04

Package: linux-modules-nvidia-430-lowlatency-hwe-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-430-5.3.0-42-lowlatency (= ${binary:Version})
Description: Extra drivers for nvidia-430 for lowlatency-hwe-18.04
 Install extra signed nvidia-430 modules compatible with lowlatency-hwe-18.04.

Package: linux-modules-nvidia-435-lowlatency-hwe-18.04
Build-Profiles: <!stage1>
Architecture: amd64
Section: kernel
Depends: ${misc:Depends}, linux-modules-nvidia-435-5.3.0-42-lowlatency (= ${binary:Version})
Description: Extra drivers for nvidia-435 for lowlatency-hwe-18.04
 Install extra signed nvidia-435 modules compatible with lowlatency-hwe-18.04.
