## linux-restricted-modules-hwe 5.3.0-43.36~18.04.2

=== debian/changelog ===
linux-restricted-modules-hwe (5.3.0-43.36~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-43.36~18.04.2
  * Bump upload number.

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 19 Mar 2020 15:34:08 +0100

linux-restricted-modules-hwe (5.3.0-43.36~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-43.36~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 19 Mar 2020 13:07:46 +0100
