## linux-restricted-modules-hwe 5.3.0-62.56~18.04.1

=== debian/changelog ===
linux-restricted-modules-hwe (5.3.0-62.56~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-62.56~18.04.1

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 24 Jun 2020 09:22:49 -0300

linux-restricted-modules-hwe (5.3.0-61.55~18.04.1+1) bionic; urgency=medium

  * CVE-2020-5963 // CVE-2020-5967
    - [Packaging] rules -- expose nvidia-kernel-common dependency data
    - [packaging] expose dependency on nvidia-kernel-common on meta packages

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 22 Jun 2020 17:29:25 -0300

linux-restricted-modules-hwe (5.3.0-61.55~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-61.55~18.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 22 Jun 2020 13:00:50 -0300

linux-restricted-modules-hwe (5.3.0-59.53~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-59.53~18.04.1

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 04 Jun 2020 15:23:55 +0200

linux-restricted-modules-hwe (5.3.0-56.50~18.04.1+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants
  * Bump upload number.

 -- Andrea Righi <andrea.righi@canonical.com>  Wed, 03 Jun 2020 16:01:24 +0200

linux-restricted-modules-hwe (5.3.0-56.50~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-56.50~18.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Tue, 26 May 2020 18:19:34 +0200

linux-restricted-modules-hwe (5.3.0-53.47~18.04.1+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] update variants

 -- Andy Whitcroft <apw@canonical.com>  Thu, 14 May 2020 22:35:25 +0100

linux-restricted-modules-hwe (5.3.0-53.47~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-53.47~18.04.1

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 07 May 2020 14:56:22 +0200

linux-restricted-modules-hwe (5.3.0-52.46~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-52.46~18.04.1

  * Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the
    340 and 390 series (LP: #1854485)
    - [Packaging] Add transitional for nvidia-430
    - [Packaging] Fix nvidia-430 to nvidia-440 transition

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family
    - [Packaging] update variants

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 30 Apr 2020 11:54:52 +0200

linux-restricted-modules-hwe (5.3.0-51.44~18.04.2) bionic; urgency=medium

  * Master version: 5.3.0-51.44~18.04.2

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Sat, 25 Apr 2020 18:34:38 -0300

linux-restricted-modules-hwe (5.3.0-51.44~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-51.44~18.04.1

  * Packaging resync (LP: #1786013)
    - [Packaging] resync dkms-build and family

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Wed, 22 Apr 2020 20:21:24 -0300

linux-restricted-modules-hwe (5.3.0-47.39~18.04.1+1) bionic; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] Auto-sync build environment
    - [Packaging] update variants

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 07 Apr 2020 15:59:37 +0200

linux-restricted-modules-hwe (5.3.0-47.39~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-47.39~18.04.1

  * Miscellaneous Ubuntu changes
    - debian/dkms-versions -- update from master

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Mon, 06 Apr 2020 17:07:16 +0200

linux-restricted-modules-hwe (5.3.0-46.38~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-46.38~18.04.1

 -- Khalid Elmously <khalid.elmously@canonical.com>  Mon, 30 Mar 2020 23:58:06 -0400

linux-restricted-modules-hwe (5.3.0-45.37~18.04.1) bionic; urgency=medium

  * Master version: 5.3.0-45.37~18.04.1

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 27 Mar 2020 09:48:40 -0300
